#!/usr/bin/env python
#

from distutils.core import setup
from DistUtilsExtra.command import *
from glob import glob

setup(name="gwibber-service-sohu",
      version="0.8.1", 
      author="An Yang",
      author_email="an.euroford@gmail.com",
      url="http://launchpad.net/gwibber-service-sohu/",
      license="GNU General Public License (GPL)",
      data_files=[
    ('share/gwibber/plugins/sohu', ["__init__.py", "utils.py"]),
    ('share/gwibber/plugins/sohu/gtk', glob("gtk/*.*")),
    ('share/gwibber/plugins/sohu/gtk/sohu', glob("gtk/sohu/*.*")),
    ('share/gwibber/plugins/sohu/ui', glob("ui/*.*")),
    ('share/gwibber/ui/icons/hicolor/16x16/apps', glob("ui/icons/16x16/*.*")),
    ('share/gwibber/ui/icons/hicolor/22x22/apps', glob("ui/icons/22x22/*.*")),
    ('share/gwibber/ui/icons/hicolor/scalable/apps', glob("ui/icons/scalable/*.*")),
    ('share/gwibber/plugins/sohu/data', glob("data/*.*")),
    ],
      cmdclass = { "build" :  build_extra.build_extra,
                   "build_i18n" :  build_i18n.build_i18n,
                   "build_help" :  build_help.build_help,
                   "build_icons" :  build_icons.build_icons
                 }
)
